Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodereplacechildnomodificationallowederr Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodereplacechildnomodificationallowederr (DOMTestDocumentBuilderFactory factory) throws DOMTestIncompatibleException
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "replaceChild(newChild,oldChild)" method causes the DOMException NO_MODIFICATION_ALLOWED_ERR to be raised if the node is readonly.

Obtain the children of the THIRD "gender" element. The elements content is an entity reference. Get the FIRST item from the entity reference and execute the "replaceChild(newChild,oldChild)" method. This causes a NO_MODIFICATION_ALLOWED_ERR DOMException to be thrown.

Author:
  NIST , Mary Brady , Curt Arnold

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-258A00AF')/constant[@name='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-785887307 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-785887307')/raises/exception[@name='DOMException']/descr/p[substring-before(.,':')='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-785887307

Definition at line 50 of file nodereplacechildnomodificationallowederr.java.

## Constructor & Destructor Documentation

nodereplacechildnomodificationallowederr::nodereplacechildnomodificationallowederr | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 52 of file nodereplacechildnomodificationallowederr.java. References DocumentBuilderSetting::notExpandEntityReferences, and DOMTest::setFactory().
    00053                                      {
    00054
    00055       DocumentBuilderSetting[] settings = new DocumentBuilderSetting[] {
    00056 DocumentBuilderSetting.notExpandEntityReferences
    00057         };
    00058         DOMTestDocumentBuilderFactory testFactory = factory.newInstance(settings);
    00059         setFactory(testFactory);
    00060
    00061    }

## Member Function Documentation

String nodereplacechildnomodificationallowederr::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 91 of file nodereplacechildnomodificationallowederr.java.
    00091                                 {
    00092       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodereplacechildnomodificationallowederr";
    00093    }

void nodereplacechildnomodificationallowederr::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 94 of file nodereplacechildnomodificationallowederr.java. References DOMTestCase::doMain().
    00094                                           {
    00095         DOMTestCase.doMain(nodereplacechildnomodificationallowederr.class,args);
    00096    }

void nodereplacechildnomodificationallowederr::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 63 of file nodereplacechildnomodificationallowederr.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00063                                                     {
    00064       Document doc;
    00065       NodeList genderList;
    00066       Node genderNode;
    00067       Node entRef;
    00068       Node entElement;
    00069       Node createdNode;
    00070       Node replacedChild;
    00071       doc = load("staff");
    00072       genderList = doc.getElementsByTagName("gender");
    00073       genderNode = genderList.item(2);
    00074       entRef = genderNode.getFirstChild();
    00075       entElement = entRef.getFirstChild();
    00076       createdNode = doc.createElement("newChild");
    00077
    00078         {
    00079                 boolean success = false;
    00080                 try {
    00081                         replacedChild = entRef.replaceChild(createdNode,entElement);
    00082
    00083                 }
    00084                 catch(DOMException ex) {
    00085                         success = (ex.code == DOMException.NO_MODIFICATION_ALLOWED_ERR);
    00086                 }
    00087                 assertTrue("throw_NO_MODIFICATION_ALLOWED_ERR",success);
    00088         }
    00089
    00090    }

The documentation for this class was generated from the following file:

- nodereplacechildnomodificationallowederr.java